/**
 * 文档相关的一些接口
 */
import request from '@/utils/request'
const baseUrl = '/v1/api'

export const catlog = params => {
    return request({
        url: baseUrl + '/doc/doc/catlog',
        method: 'get',
        params
    })
}

export const detail = params => {
    return request({
        url: baseUrl + '/doc/detail',
        method: 'get',
        params
    })
}

// 获取文件分类的所有文件
export const getNoteAllFilesList = params => {
    return request({
        url: baseUrl + '/doc/getNoteAllFilesList',
        method: 'get',
        params
    })
}

// 获取按标签分类的所有标签
export const getNoteAllTagList = params => {
    return request({
        url: baseUrl + '/doc/getNoteAllTagList',
        method: 'get',
        params
    })
}

//根据文件分类返回笔记列表
export const getNoteByFile = params => {
    return request({
        url: baseUrl + '/doc/getNoteByFile',
        method: 'get',
        params
    })
}

//根据标签分类返回笔记列表
export const getNoteByTag = params => {
    return request({
        url: baseUrl + '/doc/getNoteByTag',
        method: 'get',
        params
    })
}


